Generate Upload Signature
Generates a pre-signed upload URL for uploading deployment artifacts. Use the returned upload_url to upload your deployment package, then pass the upload_uuid when creating a deployment.
Send an empty JSON object ({}) as the request body. Omitting the body returns a 400 Bad Request response.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects an object.
Response
The upload signature was generated successfully.
data
meta
Empty meta object.